SeExpr

Public Member Functions | Private Member Functions | Private Attributes | List of all members
SeExpr2::ExprVarRef Class Referenceabstract

abstract class for implementing variable references More...

`#include <Expression.h>`

Inheritance diagram for SeExpr2::ExprVarRef:

## Public Member Functions
| ExprVarRef (const ExprType &type)
virtual | ~ExprVarRef ()
virtual void | setType (const ExprType &type)
| sets (current) type to given type More...
virtual ExprType | type () const
| returns (current) type More...
virtual void | eval (double *result)=0
| returns this variable's value by setting result More...
virtual void | eval (const char **resultStr)=0

## Private Member Functions
| ExprVarRef ()

## Private Attributes
ExprType | _type

## Detailed Description

abstract class for implementing variable references

Definition at line 45 of file Expression.h.

## Constructor & Destructor Documentation

## ◆ ExprVarRef() [1/2]

SeExpr2::ExprVarRef::ExprVarRef | ( |  | ) |
| inline private

Definition at line 46 of file Expression.h.

## ◆ ExprVarRef() [2/2]

SeExpr2::ExprVarRef::ExprVarRef | ( | const ExprType & | type | ) |
| inline

Definition at line 49 of file Expression.h.

## ◆ ~ExprVarRef()

virtual SeExpr2::ExprVarRef::~ExprVarRef | ( |  | ) |
| inline virtual

Definition at line 51 of file Expression.h.

## Member Function Documentation

## ◆ eval() [1/2]

virtual void SeExpr2::ExprVarRef::eval | ( | const char ** | resultStr | ) |
| pure virtual

Implemented in SeExpr2::GlobalStr, BasicExpression::VectorRef, SeExpr2::GlobalFP, BasicExpression::ScalarRef, and SeExpr2::VarBlockCreator::Ref.

## ◆ eval() [2/2]

virtual void SeExpr2::ExprVarRef::eval | ( | double * | result | ) |
| pure virtual

returns this variable's value by setting result

Implemented in SeExpr2::GlobalStr, BasicExpression::VectorRef, SeExpr2::GlobalFP, BasicExpression::ScalarRef, and SeExpr2::VarBlockCreator::Ref.

## ◆ setType()

virtual void SeExpr2::ExprVarRef::setType | ( | const ExprType & | type | ) |
| inline virtual

sets (current) type to given type

Definition at line 54 of file Expression.h.

References _type, and type().

## ◆ type()

virtual ExprType SeExpr2::ExprVarRef::type | ( |  | ) | const
| inline virtual

returns (current) type

Definition at line 59 of file Expression.h.

References _type.

Referenced by SeExpr2::ExprVarNode::buildInterpreter(), SeExpr2::GlobalFP::eval(), SeExpr2::GlobalFP::isVec(), SeExpr2::ExprVarNode::prep(), and setType().

## Member Data Documentation

## ◆ _type

ExprType SeExpr2::ExprVarRef::_type
| private

Definition at line 68 of file Expression.h.

Referenced by setType(), and type().

The documentation for this class was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/Expression.h